## org.eclipse.emf.importer.ui.contribution
Class ModelImporterManager.ModelImporterDescriptorWizardNode

    java.lang.Object
      org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorWizardNode
          org.eclipse.emf.importer.ui.contribution.ModelImporterManager.ModelImporterDescriptorWizardNode

All Implemented Interfaces:
  IWizardNode

Enclosing class:
  ModelImporterManager

    public static class ModelImporterManager.ModelImporterDescriptorWizardNode

extends ModelConverterManager.ModelConverterDescriptorWizardNode

Field Summary

Fields inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorWizardNode
`contentCreated, descriptor, point, wizard`

Constructor Summary
`ModelImporterManager.ModelImporterDescriptorWizardNode(ModelImporterDescriptor descriptor)`

Method Summary
`protected IWizard` `createWizard()`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorWizardNode
`dispose, getExtent, getWizard, isContentCreated, setContentCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelImporterManager.ModelImporterDescriptorWizardNode

    public ModelImporterManager.ModelImporterDescriptorWizardNode(ModelImporterDescriptor descriptor)

Method Detail

### createWizard

    protected IWizard createWizard()

  Specified by:
    `createWizard` in class `ModelConverterManager.ModelConverterDescriptorWizardNode`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.